{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.muppet.general": {
			"states": {
				"default": {
					"animations": [
						"look_at_target"
					]
				}
			}
		},
		"controller.animation.muppet.walk": {
			"states": {
				"default": {
					"transitions": [
						{
							"walking": "query.modified_move_speed"
						}
					],
					"blend_transition": 0.2
				},
				"walking": {
					"animations": [
						{
							"walk": "variable.moving"
						}
					],
					"transitions": [
						{
							"default": "query.modified_move_speed<0"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.muppet.feeling_happy": {
			"states": {
				"default": {
					"transitions": [
						{
							"feeling_happy": "query.is_croaking"
						}
					],
					"blend_transition": 0.2
				},
				"feeling_happy": {
					"animations": [
						{
							"feeling_happy": "query.is_croaking"
						}
					],
					"transitions": [
						{
							"default": "!query.is_croaking"
						}
					],
					"blend_transition": 0.2
				}
			}
		},
		"controller.animation.muppet.idle": {
			"initial_state": "idle",
			"states": {
				"idle": {
					"animations": [
						{
							"idle": "query.modified_move_speed<0.1"
						}
					]
				}
			}
		},
		"controller.animation.muppet.baby": {
			"initial_state": "baby",
			"states": {
				"baby": {
					"animations": [
						{
							"baby_transform": "query.is_baby"
						}
					]
				}
			}
		},
		"controller.animation.muppet.sit": {
			"initial_state": "sit",
			"states": {
				"sit": {
					"animations": [
						{
							"sit": "query.is_sitting"
						}
					]
				}
			}
		}
	}
}